=== external/CMakeLists.txt ===
add_subdirectory(catch2)
