=== python/CMakeLists.txt ===
add_subdirectory(client)
add_subdirectory(probe)
