=== src/CMakeLists.txt ===
add_subdirectory(vendor)
add_subdirectory(common)
add_subdirectory(plugins)
add_subdirectory(client)
add_subdirectory(service)
add_subdirectory(probe_support)
add_subdirectory(apps)
