=== support/CMakeLists.txt ===
#install(FILES daqd-stream-server.service
#        DESTINATION lib/systemd/system)
#install(FILES daqd-stream-server.defaults
#        DESTINATION etc/defaults
#        RENAME daqd-stream-server)
