=== python/probe/CMakeLists.txt ===
pybind11_add_module(daqd_probe daqd_probe_py.cc)
target_link_libraries(daqd_probe PRIVATE probe_support)
