=== src/apps/CMakeLists.txt ===


add_executable(test_daqd_stream_client
        client.cpp)
target_link_libraries(test_daqd_stream_client PUBLIC daqd_stream_client)

#install(EXPORT daqd_stream
#        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/daqd_stream
#        NAMESPACE daqd_stream::
#        FILE daqd_streamConfig.cmake
#        )

add_executable(sample_client sample_client.cc)
target_link_libraries(sample_client PUBLIC
        daqd_stream_client)

add_subdirectory(daqd_stream_cross_check)
add_subdirectory(daqd_stream_server)
add_subdirectory(daqd_stream_xmit)
add_subdirectory(daqd_stream_probe)
