=== src/common/CMakeLists.txt ===
add_library(daqd_stream_common STATIC
        crc.c
        checksum.cc
        posix_shmem.cc)
target_link_libraries(daqd_stream_common PUBLIC daqd_stream_core rt)
target_include_directories(daqd_stream_common PUBLIC
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
        )
target_compile_options(daqd_stream_common PRIVATE -fPIC)

install (TARGETS daqd_stream_common
        EXPORT daqd_stream_install
        DESTINATION lib)

add_executable(daqd_stream_common_unit_tests
        tests/test_main.cc
        tests/test_message_queue.cc)
target_link_libraries(daqd_stream_common_unit_tests PRIVATE
        vendor
        daqd_stream_core
        daqd_stream_common
        Threads::Threads
        catch2)

add_test(NAME test_daqd_stream_common_unit_tests
        COMMAND daqd_stream_common_unit_tests
        WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}")
