=== debian/changelog ===
daqd-stream (0.6.0.x202512162308fe7047ff5b) UNRELEASED; urgency=medium

  * CI Build for testing only

 -- root <root@8dc3e3464af2>  Tue, 16 Dec 2025 23:08:24 +0000

daqd-stream (0.6.0) unstable; urgency=medium

  * Rework of code to split client/server interfaces

 -- Jonathan Hanks <jonathan.hanks@ligo.org>  Wed, 04 May 2022 11:16:30 -0700

daqd-stream (0.5.4) unstable; urgency=medium

  * Bug fix, issue #8, second data with a single source was returning gps time
    as the seconds since the begining of the request.  Fix this.

 -- Jonathan Hanks <jonathan.hanks@ligo.org>  Fri, 25 Mar 2022 10:18:54 -0700

daqd-stream (0.5.3) unstable; urgency=medium

  * Minor package restructuring to allow building src dir = build dir 

 -- Jonathan Hanks <jonathan.hanks@ligo.org>  Mon, 14 Mar 2022 16:52:22 -0700

daqd-stream (0.5.1) unstable; urgency=medium

  * Packaging and misc changes to build on Debian 10 & 11

 -- Jonathan Hanks <jonathan.hanks@ligo.org>  Tue, 22 Feb 2022 22:10:53 -0800

daqd-stream (0.5.0) unstable; urgency=medium

  * Initial release of multi input stream support
   * Server can injest multiple input streams
   * Client can view the data as a whole and retreive data in synchronous
     slices across sources.
  * C++ api change, python api remains stable

 -- Jonathan Hanks <jonathan.hanks@ligo.org>  Tue, 22 Feb 2022 17:23:20 -0800

daqd-stream (0.4.2) unstable; urgency=medium

  * Added a daqd_server_probe program to help introspect the shared memory
    window

 -- Jonathan Hanks <jonathan.hanks@ligo.org>  Fri, 17 Sep 2021 18:15:54 -0700

daqd-stream (0.4.1) unstable; urgency=medium

  * Minor changes to build on both Debian 10 & Debial 11

 -- Jonathan Hanks <jonathan.hanks@ligo.org>  Mon, 30 Aug 2021 16:59:52 -0700

daqd-stream (0.4.0) unstable; urgency=medium

  * Incompatible update, moved to variable length buffers for the server.

 -- Jonathan Hanks <jonathan.hanks@ligo.org>  Mon, 21 Jun 2021 12:25:04 -0700

daqd-stream (0.3.1) unstable; urgency=medium

  * Bug fix on the python module.  Move where the GIL is released so that the
    system doesn't crash on data retreival.

 -- Jonathan Hanks <jonathan.hanks@ligo.org>  Wed, 16 Jun 2021 14:32:07 -0700

daqd-stream (0.3.0) unstable; urgency=medium

  * Removed advligorts-mbuf-dkms requirement from daqd-stream-server.
  * Added a new api call to get the config hash from the client.

 -- Jonathan Hanks <jonathan.hanks@ligo.org>  Mon, 14 Jun 2021 15:25:31 -0700

daqd-stream (0.2.0) unstable; urgency=medium

  * Added initial support for reconfiguring the channel list and data plans on
    the fly.

 -- Jonathan Hanks <jonathan.hanks@ligo.org>  Fri, 11 Jun 2021 17:12:28 -0700

daqd-stream (0.1.0) unstable; urgency=medium

  * Initial packaging

 -- Jonathan Hanks <jonathan.hanks@ligo.org>  Fri, 15 Jan 2021 16:40:46 -0800
