=== debian/control ===
Source: daqd-stream
Section: unknown
Priority: optional
Maintainer: Jonathan Hanks <jonathan.hanks@ligo.org>
Build-Depends:
 debhelper (>= 11),
 cmake,
 pkg-config,
 pybind11-dev,
 python3-pybind11,
 python3-numpy,
 python3,
 python3-dev,
 libboost-all-dev,
 libcurl4-gnutls-dev,
 rapidjson-dev,
 libcds-pubsub-dev,
 advligorts-transport-pubsub,
 advligorts-simulated-streams,
 cds-metadata-server,
 python3-requests,
 advligorts-dev,
 libzstd-dev,
 ldas-tools-framecpp-dev,
 libnds2-client-dev,
Standards-Version: 4.5.0
Vcs-Git: https://git.ligo.org/cds/software/daqd_stream
Rules-Requires-Root: no

Package: libdaqd-stream-plugins
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Plugins for the daqd_stream_server

Package: daqd-stream-dev
Architecture: any
Depends:
  build-essential,
  cmake,
  libboost-all-dev,
  libdaqd-stream-plugins,
Description: Development package for the daqd_stream

Package: python3-daqd-stream
Architecture: any
Depends:
 python3,
 python3-numpy,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Python3 bindings for the daqd-stream package.

Package: daqd-stream-server
Architecture: any
Depends:
 libdaqd-stream-plugins,
 ${misc:Depends},
 ${shlibs:Depends},
Description: The daqd-stream-server that merges metadata and channel stream data.
